<script setup lang="ts">
import { type Product } from '@/types/Product'
import ProductCard from './ProductCard.vue'
const props = defineProps<{
  products: Product[]
}>()

const emit = defineEmits<{
  selectedProduct: [product: Product]
}>()

function selected(p: Product) {
  emit('selectedProduct', p)
}

</script>
<template>
  <div style="height: 600px; overflow-y: auto">
    <v-container>
      <v-row>
        <v-col cols="12" md="3" v-for="item of products" :key="item.id">
          <ProductCard :product="item" @selected-product="selected"></ProductCard>
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
